use rocket::{self, local::Client, routes};

#[test]
fn index() {
    let rocket = rocket::ignite().mount("/", routes![super::index, super::reset]);
    let client = Client::new(rocket).unwrap();
    let mut response = client.get("/").dispatch();
    assert_eq!(response.status().code, 303);
    assert!(response.body().is_none());
    for h in response.headers().iter() {
        match h.name.as_str() {
            "Location" => assert_eq!(h.value, "/reset"),
            "Content-Length" => assert_eq!(h.value.parse::<i32>().unwrap(), 0),
            _ => { /* let these through */ }
        }
    }
}

#[test]
fn reset() {
    let rocket = rocket::ignite().mount("/", routes![super::reset]);
    let client = Client::new(rocket).unwrap();
    let mut response = client.get("/reset").dispatch();
    assert_eq!(response.body_string(), Some("Reset ldap0r!".into()));
}
